Subject: stateless proxy...

From: Vipul Patel <[email-masked]>
Date: Thu, 19 Aug 1999 15:58:30 -0400

In section 10.2.1 of RFC 2543 it says following:

        Recall that responses are not generated by the next-hop
        stateless server, but generated by either a proxy server or
        the user agent server. Thus, the stateless proxy can only
        use the Via header field to forward the response.

What should a stateless proxy server do when it receives a Request
containing  Proxy-Require  header field with option(s) it does not
support.

Which of the following it should do:

(1)  Generate 420 BAD EXTENSION response.
        (Since, it cannot generate Responses, it is not correct)

(2) Ignore the Proxy-Require header field and forward the Request
        to the next hop.

(3) Ignore the Request and drop it

(4) None of the above... then WHAT.

Thanks,
Vipul.

--

Vipul J. Patel
dynamicsoft
200 Executive Drive
West Orange, NJ 07052
mailto:[email-masked]

Office:         + 1 732.741.7244
FAX:            + 1 732.741.4778
www:            http://www.dynamicsoft.com

---

From: "Alex Doyle" <[email-masked]>
Date: Thu, 19 Aug 1999 18:54:37 -0400

I would say this: if a proxy server is stateless, all that means is that it
doesn't maintain transaction state.  It can still perform "call state"
functions, like executing CPL scripts or enhanced features, even if it can't
perform transaction state management.

Therefore, if it gets the Proxy-Requires but doesn't support the extension
(a proprietary CPL ID, for example), I'd say it should generate the 420.

Does the group agree?  If so, the RFC should be modified, like Vipul
suggests.

Cheers,
Alex
[email-masked]

    -----Original Message-----
    From: [email-masked] [mailto:[email-masked]]On Behalf Of
Vipul Patel
    Sent: Thursday, August 19, 1999 3:59 PM
    To: MMUSIC list
    Subject: stateless proxy...

    Thanks,
    Vipul.

--

Vipul J. Patel
dynamicsoft
200 Executive Drive
West Orange, NJ 07052

Office:         + 1 732.741.7244
FAX:            + 1 732.741.4778